#!/usr/bin/perl -w

use strict;
use warnings;

use FileHandle;
use Getopt::Long;

our ($opt_ftr, $opt_src, $opt_h, $opt_help) = ("", "", 0, 0);

Getopt::Long::GetOptions("ftr=s", "src=s", "h", "help");

&usage if ($opt_ftr eq "" || $opt_src eq "" || $opt_h || $opt_help);

select STDERR; $| = 1;
select STDOUT; $| = 1;

my $filter = new FileHandle("> $opt_ftr");
my $source = new FileHandle($opt_src);
my $romname;

# loop over the whole input list, one block of info at a time
my $firstline;
my $count;
while ($firstline = <$source>) {
   $romname = $firstline;

   # get the next 12 lines
   for my $i (1..12) {
      my $lines = <$source>;
   }

   # put this game in the filter
   $romname = uc($romname);
   print $filter $romname;
   $count++;
}

close $source;
close $filter;

print "$count entries created on output filter list $opt_ftr\n";

sub usage {
print <<EOHELP;
make-mamewah-filter.pl -ftr <filter file> -src <MAMEWah source list> [-h]

Takes a MAMEWah list and creates a filter list including all roms that are 
present.

EOHELP
exit 1;
}
